﻿using System.Web.Mvc;

namespace View_Engine_Demo.Filters
{
    public class SerializableViewDataAttribute : ActionFilterAttribute
    {
        public override void OnActionExecuting(FilterExecutingContext filterContext)
        {
            var controller = ((Controller)filterContext.Controller);

            if (filterContext.RouteData.Values.ContainsKey("responseType"))
                controller.ViewEngine = new SerializableViewEngine();

            base.OnActionExecuting(filterContext);
        }
    }
}